minpf_dynamic_library.h File Reference
`#include <plugin/minpf_common.h>`
`#include <dlfcn.h>`

Go to the source code of this file.

## Classes

struct | grk::minpf_dynamic_library

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Typedefs

typedef void * | dynamic_handle_t
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Functions

minpf_dynamic_library * | grk::minpf_load_dynamic_library (const char *path, char *error)
bool | grk::minpf_unload_dynamic_library (minpf_dynamic_library *library)
void * | grk::minpf_get_symbol (minpf_dynamic_library *library, const char *symbol)
bool | grk::minpf_get_full_path (const char *path, void *addr, dynamic_handle_t handle, char *fullPath, size_t fullPathLen)

## Typedef Documentation

## dynamic_handle_t

typedef void* dynamic_handle_t

Copyright (C) 2016-2023 Grok Image Compression Inc.

This source code is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License, version 3, as published by the Free Software Foundation.

This source code is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License along with this program. If not, see http://www.gnu.org/licenses/.